<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__wpts__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_wpts_descr_value_t</compoundname>
    <includes local="no">cy_ble_wpts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__wpts__descr__value__t_1a7e8fd9e3a0707caa4b76841efb85f7e9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_wpts_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="92" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="92" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wpts__descr__value__t_1ac88568d25f1fce860d65e88d9b7ec179" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___w_p_t_s__definitions_1gaa487cfa444741a51b293f4e2fb64cadd">cy_en_ble_wpts_char_index_t</ref></type>
        <definition>cy_en_ble_wpts_char_index_t cy_stc_ble_wpts_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="93" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wpts__descr__value__t_1a9a379f50cc754693e5bd860f02572190" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___w_p_t_s__definitions_1ga3275af67499f2a030abcf66824e4f895">cy_en_ble_wpts_descr_index_t</ref></type>
        <definition>cy_en_ble_wpts_descr_index_t cy_stc_ble_wpts_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="94" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wpts__descr__value__t_1a6990ffe7ede4c415a23068288f06c5f3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_wpts_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="95" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="95" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WPTS Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1322">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1321">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="1320">
        <label>cy_stc_ble_wpts_descr_value_t</label>
        <link refid="structcy__stc__ble__wpts__descr__value__t" />
        <childnode refid="1321" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1322" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="96" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="91" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__wpts__descr__value__t_1ac88568d25f1fce860d65e88d9b7ec179" virt="non-virtual"><scope>cy_stc_ble_wpts_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__wpts__descr__value__t_1a7e8fd9e3a0707caa4b76841efb85f7e9" virt="non-virtual"><scope>cy_stc_ble_wpts_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__wpts__descr__value__t_1a9a379f50cc754693e5bd860f02572190" virt="non-virtual"><scope>cy_stc_ble_wpts_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__wpts__descr__value__t_1a6990ffe7ede4c415a23068288f06c5f3" virt="non-virtual"><scope>cy_stc_ble_wpts_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>